Main Interfaces
===============

.. contents::

.. module:: qrenderdoc

Context
-------

.. autoclass:: qrenderdoc.CaptureContext
  :members:
  :undoc-members:

Replay Manager
--------------

.. autoclass:: qrenderdoc.ReplayManager
  :members:
  :undoc-members:

RGP Interop Control
-------------------

.. autoclass:: qrenderdoc.RGPInterop
  :members:
  :undoc-members:


CaptureViewer Interface
------------------------

.. autoclass:: qrenderdoc.CaptureViewer
  :members:
  :undoc-members:

Utilities
---------

.. autoclass:: qrenderdoc.DockReference
  :members:
  :undoc-members:
  :exclude-members: enum_constants__, 

.. autoclass:: qrenderdoc.CaptureModifications
  :members:
  :undoc-members:
  :exclude-members: enum_constants__, 

.. autoclass:: qrenderdoc.CaptureSettings
  :members:
  :undoc-members:

.. autoclass:: qrenderdoc.EventBookmark
  :members:
  :undoc-members:

